%define name    speedtouch
%define version 1.2
%define release 1mdk
%define beta	1

Summary: ALCATEL SpeedTouch USB ADSL modem user-space driver
Name:    %{name}
Version: %{version}
Release: %{release}
Source:  %{name}-%{version}.tar.bz2
Patch0: speedtouch-1.1.patch.bz2
URL: http://speedtouch.sf.net
License: GPL
Group: System/Kernel and hardware
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: ppp

%description
ALCATEL SpeedTouch USB ADSL modem user-space driver. This package contains 
all the necessary software to use your SpeedTouch USB modem under Linux. It
currently support only PPPoA encapsulation.

%prep
%setup
%patch0 -p1 -b .old

%build
%configure --enable-release --enable-syslog --enable-install=`whoami` 

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

install -d -m 755 %{buildroot}%{_datadir}/speedtouch/
install -d -m 755 %{buildroot}%{_sysconfdir}
install -d -m 755 %{buildroot}%{_bindir}
install -m 755 doc-linux/speedtouch.sh %{buildroot}%{_datadir}/speedtouch/
install -m 644 doc-linux/speedtouch.conf %{buildroot}%{_sysconfdir}
ln -s %{_sbindir}/pppoa2 %{buildroot}%{_bindir}/pppoa2
ln -s %{_sbindir}/pppoa3 %{buildroot}%{_bindir}/pppoa3

#rm %{buildroot}%{_sysconfdir}/init.d/speedtouch

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_sbindir}/modem_run
%{_sbindir}/pppoa*
%{_bindir}/pppoa*
%{_mandir}/man1/*
%{_datadir}/speedtouch
%config(noreplace) %{_sysconfdir}/speedtouch.conf
%doc %{_docdir}/speedtouch

%changelog
* Mon Feb 10 2003 Damien Chaumette <dchaumette@no.mandrakesoft.com> 1.2-1mdk
- new version 1.2-beta1

* Sat Jan 11 2003 Damien Chaumette <dchaumette@mandrakesoft.com> 1.1-2mdk
- fix speedtouch.sh patch

* Mon Dec  2 2002 Laurent Culioli <laurent@pschit.net> 1.1-1mdk
- 1.1
- regenerate patch
- added backward compatibility symlinks for old binary location
- clean specfile

* Thu Aug  1 2002 Damien Chaumette <dchaumette@mandrakesoft.com> 1.0-3mdk
- add a new patch to fix wrong "failed" msg at connection start

* Wed Feb 27 2002 dam's <damien@mandrakesoft.com> 1.0-2mdk
- applied mandrake configuration to launch script

* Wed Jan 23 2002 dam's <damien@mandrakesoft.com> 1.0-1mdk
- patchs corrected
- version 1.0

* Thu Sep  6 2001 dam's <damien@mandrakesoft.com> 0.01_20010815-5mdk
- corrected bad rights

* Sun Sep  2 2001 dam's <damien@mandrakesoft.com> 0.01_20010815-4mdk
- new connection script

* Tue Aug 28 2001 dam's <damien@mandrakesoft.com> 0.01_20010815-3mdk
- adsl.sh -> speedtouch.sh

* Fri Aug 24 2001 dam's <damien@mandrakesoft.com> 0.01_20010815-2mdk
- added patch n1 (script)

* Fri Aug 17 2001 dam's <damien@mandrakesoft.com> 0.01-20010815-1mdk
- 08.15.2001 version

* Thu Jul 19 2001 dam's <damien@mandrakesoft.com> 0.01-1mdk
- First mandrake package
